//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	
	using System.Collections.Generic;
    
    
    public partial class RecipeDialog
    {

		// Save
		void Button1_Click(System.Object sender, System.EventArgs e)
		{

			if (Globals.Tags.SaveRecipeInput.Value.String.Trim() != "") {
				//Load the recipe that was entered
				Globals.Recipe1.SaveRecipe( Globals.Tags.SaveRecipeInput.Value.String );
			
				Globals.Tags.LastSavedRecipeName.Value = Globals.Tags.SaveRecipeInput.Value;
			
				// Clear the dialog box
				Globals.Tags.SaveRecipeInput.Value = "";
			
				//Close the load recipe screen
				Globals.RecipeDialog.Close();
			}

		}
		
		void RecipeDialog_Opened(System.Object sender, System.EventArgs e)
		{
			List<string> myRecipeNames;
			myRecipeNames = Globals.Recipe1.FieldNames;
			
			//Fill the list box with the names of the current recipes in the system
			foreach( string i in myRecipeNames )
				ListBox1.Items.Add(i);
			
		}
		
		void ListBox1_MouseDown(System.Object sender, System.Windows.Forms.MouseEventArgs e)
		{
			//When the user selects a recipe in the list box, update the
			//tag that is used to keep track of which recipe to load
			Globals.Tags.SaveRecipeInput.Value = (string) ListBox1.SelectedItem;
		}
    }
}
